import { createAsyncThunk } from "@reduxjs/toolkit";
import { fetchSystemspannung98VminusService } from "@/services/fetchSystemspannung98VminusService";

export const getSystemspannung98VminusThunk = createAsyncThunk(
  "systemspannung98Vminus/fetch",
  async (typ: "DIA0" | "DIA1" | "DIA2", thunkAPI) => {
    try {
      const data = await fetchSystemspannung98VminusService(typ);
      return { typ, data };
    } catch (error) {
      console.error("Fehler in getSystemspannung98VminusThunk:", error);
      return thunkAPI.rejectWithValue("Fehler beim Laden der -98V-Daten");
    }
  }
);
